Scroll

Fixtures & Results

Previous Game
31 - 26

Pontypool RFC v RGC 1404 RFC Saturday 03rd October 2026 / 2:30pm Kick Off
Super Rygbi Cymru League

View Match Report Pontypool RFC <span class='versus'>v</span> RGC 1404 RFC
Next Game

Llandovery RFC v Pontypool RFC Saturday 10th October 2026 / 2:30pm Kick Off
Super Rygbi Cymru League

View Match Fixture Llandovery RFC <span class='versus'>v</span> Pontypool RFC

Season Stats

Performance
4Games
  • 2Wins
  • 2Losses
  • 0Draws
Current League Table
POS Team PL W D L PTS
1Newport RFC4340023
2Cardiff RFC440022
3Ebbw Vale RFC430117
4Llandovery RFC420214
5Pontypool RFC420211
6Bridgend Ravens RFC411210
7Aberavon RFC41038
8RGC 1404 RFC41038
9Carmarthen Quins RFC41037
10Swansea RFC40135